Closed Bug 1593651 Opened 5 months ago Closed 5 months ago

expose respectBeConservative as a property in browser.proxy.settings

Categories

(WebExtensions :: General, enhancement)

enhancement
Not set

Tracking

(firefox72 fixed)

RESOLVED FIXED
mozilla72
Tracking Status
firefox72 --- fixed

People

(Reporter: baku, Assigned: baku)

References

(Blocks 1 open bug)

Details

Attachments

(1 file)

This is another required pref for secure-proxy

Can you let me know what this does?

Flags: needinfo?(amarchesini)

(In reply to Philipp Kewisch [:Fallen] [:📆] from comment #2)

Can you let me know what this does?

My suggested docstring for this: "If true (the default value), do not use newer TLS protocol features that might have interoperability problems on the Internet. This is intended only for use with critical infrastructure like the updates, and is only available to privileged addons."

Essentially, if a proxy locks in on tls 1.3, you need to disable this in order to proxy through that endpoint.

Right. The pref network.http.proxy.respect-be-conservative has been introduced in bug 1585236 to avoid breaking firefox updates when secure-proxy (or any similar addon) is enabled.

Flags: needinfo?(amarchesini)
Pushed by amarchesini@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cbf08523474a
Expose respectBeConservative as a property in browser.proxy.settings, r=mixedpuppy
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla72
Regressions: 1594376

Hello,

Will this fix require manual validation? If yes, please provide some steps to reproduce in order to correctly test it and also, please set the "qe-verify+" flag. Otherwise, could the "qe-verify-" flag be added? Thanks!

Flags: needinfo?(amarchesini)
Flags: needinfo?(amarchesini) → qe-verify-
Regressions: 1608373
You need to log in before you can comment on or make changes to this bug.